import discord
from discord import app_commands
from .commands import DollyProjectTrackerCommands

class Dolly(discord.Client):

    def __init__(self):
        super().__init__(intents=discord.Intents.default())
        self.tree = app_commands.CommandTree(self)
    
    async def setup_hook(self):
        # Register the commands via a group to the command tree
        self.tree.add_command(DollyProjectTrackerCommands()) 
        await self.tree.sync()

    async def on_ready(self):
        print(f"Logged in as {self.user} (ID: {self.user.id})\n------")